#ifndef CPKEEPER_H
#define CPKEEPER_H

#include <QtGui/QMainWindow>
#include <QPushButton>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qsettings.h>
#include <qtimer.h>
#include <qsystemtrayicon.h>
#include <qmenu.h>
#include "ui_cpkeeper.h"

class CPKeeper : public QMainWindow
{
	Q_OBJECT

public:
	CPKeeper(QWidget *parent = 0, Qt::WFlags flags = 0);
	~CPKeeper();

private:
	Ui::CPKeeperClass ui;
	int MonitorCount();
	QLabel *monitorLabel[32];
	QLineEdit *monitorProfile[32];
	QButtonGroup selectProfileButtonGroup;
	QButtonGroup grabProfileButtonGroup;
	QPushButton *selectProfileButton[32];
	QPushButton *grabProfileButton[32];
	QString monitorProfileFile[32];
	QPushButton *Apply;
	QPushButton *About;
	QPushButton *Reset;
	QLabel *Settings;
	QCheckBox *Lock;
	QString defaultProfilesPath();
	QTimer *applyProfileTimer;
	QSystemTrayIcon *Tray;
	QMenu *trayIconMenu;
	QAction *quitAction;
	void applyProfile(int monitorID);
	void init();
	void loadSettings();
	void saveSettings();
	void changeEvent(QEvent *event);
	void closeEvent(QCloseEvent *event);
	int m_monitorCount;

private slots:
	void selectProfileButtonClicked(QAbstractButton *button);
	void grabProfileButtonClicked(QAbstractButton *button);
	void lockToggled(bool checked);
	void applyProfileTimerTimeout();
	void applyClicked();
	void aboutClicked();
	void resetClicked();
	void settingsClicked();
	void systrayClicked(QSystemTrayIcon::ActivationReason reason);
};

#endif // CPKEEPER_H
