#include "settings.h"
#include <qsettings.h>

settings::settings(QWidget *parent)
	: QDialog(parent)
{
	ui.setupUi(this);
	setFixedSize(this->width(),this->height());
	Startup = new QCheckBox("Start with Windows",this);
	Startup->setGeometry( 10, 10, 250, 20);
	StartupApply = new QCheckBox("Apply profiles at startup",this);
	StartupApply->setToolTip("even if Lock profile(s) is disabled");
	StartupApply->setGeometry( 10, 35, 250, 20);
	Tray = new QCheckBox("Minimize to tray",this);
	Tray->setGeometry( 10, 60, 250, 20);
	Save = new QPushButton("Save",this);
	Save->setGeometry( 10, 90, 60, 20);
	connect(Save, SIGNAL(clicked()), this, SLOT(saveClicked()));
	Cancel = new QPushButton("Cancel",this);
	Cancel->setGeometry( 90, 90, 60, 20);
	connect(Cancel, SIGNAL(clicked()), this, SLOT(cancelClicked()));
	QSettings _settings(QSettings::IniFormat, QSettings::UserScope, "Color Profile Keeper", "settings");
	Startup->setChecked(_settings.value("windows_startup","0").toString()=="1");
	StartupApply->setChecked(_settings.value("startup_apply","0").toString()=="1");
	Tray->setChecked(_settings.value("tray_minimize","0").toString()=="1");
}

settings::~settings()
{
	delete Startup;
	delete StartupApply;
	delete Tray;
	delete Save;
	delete Cancel;
}

void settings::saveClicked()
{
	QSettings registry("HKEY_CURRENT_USER\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run", QSettings::NativeFormat);
	if(Startup->isChecked())
		registry.setValue("Color Profile Keeper", QCoreApplication::applicationFilePath().replace("/","\\"));
	else
		registry.remove("Color Profile Keeper");
	QSettings _settings(QSettings::IniFormat, QSettings::UserScope, "Color Profile Keeper", "settings");
	_settings.setValue("windows_startup", Startup->isChecked()?"1":"0");
	_settings.setValue("startup_apply", StartupApply->isChecked()?"1":"0");
	_settings.setValue("tray_minimize", Tray->isChecked()?"1":"0");
	done(0);
}

void settings::cancelClicked()
{
	done(0);
}
